
_LCD_Cmd:

;lcd_i2c.c,35 :: 		void LCD_Cmd(char out_char) {
;lcd_i2c.c,37 :: 		char rs = HEX00;
	CLRF        LCD_Cmd_rs_L0+0 
;lcd_i2c.c,39 :: 		hi_n = out_char & HEXF0;
	MOVLW       240
	ANDWF       FARG_LCD_Cmd_out_char+0, 0 
	MOVWF       LCD_Cmd_hi_n_L0+0 
;lcd_i2c.c,40 :: 		lo_n = (out_char << 4) & HEXF0;
	MOVF        FARG_LCD_Cmd_out_char+0, 0 
	MOVWF       LCD_Cmd_lo_n_L0+0 
	RLCF        LCD_Cmd_lo_n_L0+0, 1 
	BCF         LCD_Cmd_lo_n_L0+0, 0 
	RLCF        LCD_Cmd_lo_n_L0+0, 1 
	BCF         LCD_Cmd_lo_n_L0+0, 0 
	RLCF        LCD_Cmd_lo_n_L0+0, 1 
	BCF         LCD_Cmd_lo_n_L0+0, 0 
	RLCF        LCD_Cmd_lo_n_L0+0, 1 
	BCF         LCD_Cmd_lo_n_L0+0, 0 
	MOVLW       240
	ANDWF       LCD_Cmd_lo_n_L0+0, 1 
;lcd_i2c.c,42 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;lcd_i2c.c,43 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,44 :: 		I2C1_Wr(LCD_ADDR);
	MOVLW       78
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,45 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,46 :: 		I2C1_Wr(hi_n | rs | HEX04 | HEX08);
	MOVF        LCD_Cmd_rs_L0+0, 0 
	IORWF       LCD_Cmd_hi_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,47 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,48 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,49 :: 		I2C1_Wr(hi_n | rs | HEX00 | HEX08);
	MOVF        LCD_Cmd_rs_L0+0, 0 
	IORWF       LCD_Cmd_hi_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,50 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,51 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,52 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,53 :: 		I2C1_Wr(lo_n | rs | HEX04 | HEX08);
	MOVF        LCD_Cmd_rs_L0+0, 0 
	IORWF       LCD_Cmd_lo_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,54 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,55 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,56 :: 		I2C1_Wr(lo_n | rs | HEX00 | HEX08);
	MOVF        LCD_Cmd_rs_L0+0, 0 
	IORWF       LCD_Cmd_lo_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,57 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,58 :: 		I2C1_stop();
	CALL        _I2C1_Stop+0, 0
;lcd_i2c.c,60 :: 		if(out_char == HEX01)
	MOVF        FARG_LCD_Cmd_out_char+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_LCD_Cmd0
;lcd_i2c.c,61 :: 		Delay_ms(2);
	MOVLW       32
	MOVWF       R12, 0
	MOVLW       41
	MOVWF       R13, 0
L_LCD_Cmd1:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_Cmd1
	DECFSZ      R12, 1, 1
	BRA         L_LCD_Cmd1
	NOP
	NOP
L_LCD_Cmd0:
;lcd_i2c.c,62 :: 		}
L_end_LCD_Cmd:
	RETURN      0
; end of _LCD_Cmd

_LCD_Chr:

;lcd_i2c.c,64 :: 		void LCD_Chr(char row, char column, char out_char) {
;lcd_i2c.c,66 :: 		char rs = HEX01;
	MOVLW       1
	MOVWF       LCD_Chr_rs_L0+0 
;lcd_i2c.c,68 :: 		column--;
	DECF        FARG_LCD_Chr_column+0, 1 
;lcd_i2c.c,69 :: 		switch(row){
	GOTO        L_LCD_Chr2
;lcd_i2c.c,70 :: 		case 1:
L_LCD_Chr4:
;lcd_i2c.c,71 :: 		LCD_Cmd(HEX80+column);
	MOVF        FARG_LCD_Chr_column+0, 0 
	ADDLW       128
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;lcd_i2c.c,72 :: 		break;
	GOTO        L_LCD_Chr3
;lcd_i2c.c,73 :: 		case 2:
L_LCD_Chr5:
;lcd_i2c.c,74 :: 		LCD_Cmd(HEXC0+column);
	MOVF        FARG_LCD_Chr_column+0, 0 
	ADDLW       192
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;lcd_i2c.c,75 :: 		break;
	GOTO        L_LCD_Chr3
;lcd_i2c.c,76 :: 		case 3:
L_LCD_Chr6:
;lcd_i2c.c,77 :: 		LCD_Cmd(HEX94+column);
	MOVF        FARG_LCD_Chr_column+0, 0 
	ADDLW       148
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;lcd_i2c.c,78 :: 		break;
	GOTO        L_LCD_Chr3
;lcd_i2c.c,79 :: 		case 4:
L_LCD_Chr7:
;lcd_i2c.c,80 :: 		LCD_Cmd(HEXD4+column);
	MOVF        FARG_LCD_Chr_column+0, 0 
	ADDLW       212
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;lcd_i2c.c,81 :: 		break;
	GOTO        L_LCD_Chr3
;lcd_i2c.c,82 :: 		};
L_LCD_Chr2:
	MOVF        FARG_LCD_Chr_row+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_Chr4
	MOVF        FARG_LCD_Chr_row+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_Chr5
	MOVF        FARG_LCD_Chr_row+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_Chr6
	MOVF        FARG_LCD_Chr_row+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_Chr7
L_LCD_Chr3:
;lcd_i2c.c,84 :: 		hi_n = out_char & HEXF0;
	MOVLW       240
	ANDWF       FARG_LCD_Chr_out_char+0, 0 
	MOVWF       LCD_Chr_hi_n_L0+0 
;lcd_i2c.c,85 :: 		lo_n = (out_char << 4) & HEXF0;
	MOVF        FARG_LCD_Chr_out_char+0, 0 
	MOVWF       LCD_Chr_lo_n_L0+0 
	RLCF        LCD_Chr_lo_n_L0+0, 1 
	BCF         LCD_Chr_lo_n_L0+0, 0 
	RLCF        LCD_Chr_lo_n_L0+0, 1 
	BCF         LCD_Chr_lo_n_L0+0, 0 
	RLCF        LCD_Chr_lo_n_L0+0, 1 
	BCF         LCD_Chr_lo_n_L0+0, 0 
	RLCF        LCD_Chr_lo_n_L0+0, 1 
	BCF         LCD_Chr_lo_n_L0+0, 0 
	MOVLW       240
	ANDWF       LCD_Chr_lo_n_L0+0, 1 
;lcd_i2c.c,87 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;lcd_i2c.c,88 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,89 :: 		I2C1_Wr(LCD_ADDR);
	MOVLW       78
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,90 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,91 :: 		I2C1_Wr(hi_n | rs | HEX04 | HEX08);
	MOVF        LCD_Chr_rs_L0+0, 0 
	IORWF       LCD_Chr_hi_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,92 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,93 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,94 :: 		I2C1_Wr(hi_n | rs | HEX00 | HEX08);
	MOVF        LCD_Chr_rs_L0+0, 0 
	IORWF       LCD_Chr_hi_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,95 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,96 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,97 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,98 :: 		I2C1_Wr(lo_n | rs | HEX04 | HEX08);
	MOVF        LCD_Chr_rs_L0+0, 0 
	IORWF       LCD_Chr_lo_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,99 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,100 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,101 :: 		I2C1_Wr(lo_n | rs | HEX00 | HEX08);
	MOVF        LCD_Chr_rs_L0+0, 0 
	IORWF       LCD_Chr_lo_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,102 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,103 :: 		I2C1_stop();
	CALL        _I2C1_Stop+0, 0
;lcd_i2c.c,104 :: 		}
L_end_LCD_Chr:
	RETURN      0
; end of _LCD_Chr

_LCD_Chr_Cp:

;lcd_i2c.c,106 :: 		void LCD_Chr_Cp(char out_char) {
;lcd_i2c.c,108 :: 		char rs = HEX01;
	MOVLW       1
	MOVWF       LCD_Chr_Cp_rs_L0+0 
;lcd_i2c.c,110 :: 		hi_n = out_char & HEXF0;
	MOVLW       240
	ANDWF       FARG_LCD_Chr_Cp_out_char+0, 0 
	MOVWF       LCD_Chr_Cp_hi_n_L0+0 
;lcd_i2c.c,111 :: 		lo_n = (out_char << 4) & HEXF0;
	MOVF        FARG_LCD_Chr_Cp_out_char+0, 0 
	MOVWF       LCD_Chr_Cp_lo_n_L0+0 
	RLCF        LCD_Chr_Cp_lo_n_L0+0, 1 
	BCF         LCD_Chr_Cp_lo_n_L0+0, 0 
	RLCF        LCD_Chr_Cp_lo_n_L0+0, 1 
	BCF         LCD_Chr_Cp_lo_n_L0+0, 0 
	RLCF        LCD_Chr_Cp_lo_n_L0+0, 1 
	BCF         LCD_Chr_Cp_lo_n_L0+0, 0 
	RLCF        LCD_Chr_Cp_lo_n_L0+0, 1 
	BCF         LCD_Chr_Cp_lo_n_L0+0, 0 
	MOVLW       240
	ANDWF       LCD_Chr_Cp_lo_n_L0+0, 1 
;lcd_i2c.c,113 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;lcd_i2c.c,114 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,115 :: 		I2C1_Wr(LCD_ADDR);
	MOVLW       78
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,116 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,117 :: 		I2C1_Wr(hi_n | rs | HEX04 | HEX08);
	MOVF        LCD_Chr_Cp_rs_L0+0, 0 
	IORWF       LCD_Chr_Cp_hi_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,118 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,119 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,120 :: 		I2C1_Wr(hi_n | rs | HEX00 | HEX08);
	MOVF        LCD_Chr_Cp_rs_L0+0, 0 
	IORWF       LCD_Chr_Cp_hi_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,121 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,122 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,123 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,124 :: 		I2C1_Wr(lo_n | rs | HEX04 | HEX08);
	MOVF        LCD_Chr_Cp_rs_L0+0, 0 
	IORWF       LCD_Chr_Cp_lo_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,125 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,126 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,127 :: 		I2C1_Wr(lo_n | rs | HEX00 | HEX08);
	MOVF        LCD_Chr_Cp_rs_L0+0, 0 
	IORWF       LCD_Chr_Cp_lo_n_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,128 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,129 :: 		I2C1_stop();
	CALL        _I2C1_Stop+0, 0
;lcd_i2c.c,130 :: 		}
L_end_LCD_Chr_Cp:
	RETURN      0
; end of _LCD_Chr_Cp

_LCD_Init:

;lcd_i2c.c,133 :: 		void LCD_Init() {
;lcd_i2c.c,134 :: 		char rs = HEX00;
	CLRF        LCD_Init_rs_L0+0 
;lcd_i2c.c,136 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;lcd_i2c.c,137 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,138 :: 		I2C1_Wr(LCD_ADDR);
	MOVLW       78
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,139 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,141 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,142 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,143 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,145 :: 		I2C1_Wr(HEX30 | rs | HEX04 | HEX08);
	MOVLW       48
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,146 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,147 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,148 :: 		I2C1_Wr(HEX30 | rs | HEX00 | HEX08);
	MOVLW       48
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,149 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,151 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,153 :: 		I2C1_Wr(HEX30 | rs | HEX04 | HEX08);
	MOVLW       48
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,154 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,155 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,156 :: 		I2C1_Wr(HEX30 | rs | HEX00 | HEX08);
	MOVLW       48
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,157 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,159 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,161 :: 		I2C1_Wr(HEX30 | rs | HEX04 | HEX08);
	MOVLW       48
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,162 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,163 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,164 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,165 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,166 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,167 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,168 :: 		I2C1_Wr(HEX30 | rs | HEX00 | HEX08);
	MOVLW       48
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,169 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,171 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,173 :: 		I2C1_Wr(HEX20 | rs | HEX04 | HEX08);
	MOVLW       32
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 2 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,174 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,175 :: 		Delay_50us();
	CALL        _Delay_50us+0, 0
;lcd_i2c.c,176 :: 		I2C1_Wr(HEX20 | rs | HEX00 | HEX08);
	MOVLW       32
	IORWF       LCD_Init_rs_L0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	BSF         FARG_I2C1_Wr_data_+0, 3 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c.c,177 :: 		I2C1_Is_Idle();
	CALL        _I2C1_Is_Idle+0, 0
;lcd_i2c.c,178 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;lcd_i2c.c,180 :: 		Delay_10ms();
	CALL        _Delay_10ms+0, 0
;lcd_i2c.c,182 :: 		LCD_Cmd(HEX28);
	MOVLW       40
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;lcd_i2c.c,183 :: 		LCD_Cmd(HEX06);
	MOVLW       6
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;lcd_i2c.c,184 :: 		}
L_end_LCD_Init:
	RETURN      0
; end of _LCD_Init

_LCD_Out:

;lcd_i2c.c,186 :: 		void LCD_Out(char row, char col, char *text) {
;lcd_i2c.c,187 :: 		while(*text)
L_LCD_Out8:
	MOVFF       FARG_LCD_Out_text+0, FSR0L+0
	MOVFF       FARG_LCD_Out_text+1, FSR0H+0
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_Out9
;lcd_i2c.c,188 :: 		LCD_Chr(row, col++, *text++);
	MOVF        FARG_LCD_Out_row+0, 0 
	MOVWF       FARG_LCD_Chr_row+0 
	MOVF        FARG_LCD_Out_col+0, 0 
	MOVWF       FARG_LCD_Chr_column+0 
	MOVFF       FARG_LCD_Out_text+0, FSR0L+0
	MOVFF       FARG_LCD_Out_text+1, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_LCD_Chr_out_char+0 
	CALL        _LCD_Chr+0, 0
	INCF        FARG_LCD_Out_col+0, 1 
	INFSNZ      FARG_LCD_Out_text+0, 1 
	INCF        FARG_LCD_Out_text+1, 1 
	GOTO        L_LCD_Out8
L_LCD_Out9:
;lcd_i2c.c,189 :: 		}
L_end_LCD_Out:
	RETURN      0
; end of _LCD_Out

_LCD_Out_Cp:

;lcd_i2c.c,191 :: 		void LCD_Out_Cp(char *text) {
;lcd_i2c.c,192 :: 		while(*text)
L_LCD_Out_Cp10:
	MOVFF       FARG_LCD_Out_Cp_text+0, FSR0L+0
	MOVFF       FARG_LCD_Out_Cp_text+1, FSR0H+0
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_Out_Cp11
;lcd_i2c.c,193 :: 		LCD_Chr_Cp(*text++);
	MOVFF       FARG_LCD_Out_Cp_text+0, FSR0L+0
	MOVFF       FARG_LCD_Out_Cp_text+1, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	INFSNZ      FARG_LCD_Out_Cp_text+0, 1 
	INCF        FARG_LCD_Out_Cp_text+1, 1 
	GOTO        L_LCD_Out_Cp10
L_LCD_Out_Cp11:
;lcd_i2c.c,194 :: 		}
L_end_LCD_Out_Cp:
	RETURN      0
; end of _LCD_Out_Cp

_main:

;main.c,8 :: 		void main() {
;main.c,10 :: 		TRISA=0b00000000; // [][][][LED][][][][]
	CLRF        TRISA+0 
;main.c,11 :: 		TRISB=0b00000000; // [][][][][][][SCK][SDA]
	CLRF        TRISB+0 
;main.c,12 :: 		TRISC=0b00000000; // [][][][][][][][]
	CLRF        TRISC+0 
;main.c,13 :: 		TRISD=0b00000000; // [][][][][][][][]
	CLRF        TRISD+0 
;main.c,14 :: 		TRISE=0b00000000; // [][][][][][][][]
	CLRF        TRISE+0 
;main.c,17 :: 		ANSELA=0b00000000; // [][][][][][][][]
	CLRF        ANSELA+0 
;main.c,18 :: 		ANSELB=0b00000000; // [][][][][][][][]
	CLRF        ANSELB+0 
;main.c,19 :: 		ANSELC=0b00000000; // [][][][][][][][]
	CLRF        ANSELC+0 
;main.c,20 :: 		ANSELD=0b00000000; // [][][][][][][][]
	CLRF        ANSELD+0 
;main.c,21 :: 		ANSELE=0b00000000; // [][][][][][][][]
	CLRF        ANSELE+0 
;main.c,24 :: 		LATA=0x00;
	CLRF        LATA+0 
;main.c,25 :: 		LATB=0x00;
	CLRF        LATB+0 
;main.c,26 :: 		LATC=0x00;
	CLRF        LATC+0 
;main.c,27 :: 		LATD=0x00;
	CLRF        LATD+0 
;main.c,28 :: 		LATE=0x00;
	CLRF        LATE+0 
;main.c,31 :: 		I2C1_Init(100000);                    // I2C LCD ktphanesi dahili I2C donanimi ile alismaktadir.
	MOVLW       120
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;main.c,34 :: 		LCD_Init();                           // Ekrani hazirla
	CALL        _LCD_Init+0, 0
;main.c,35 :: 		LCD_Cmd(_LCD_CURSOR_OFF);             // Imleci kapat
	MOVLW       12
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;main.c,36 :: 		LCD_Cmd(_LCD_CLEAR);                  // Ekrani temizle
	MOVLW       1
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;main.c,40 :: 		Lcd_Cmd(_LCD_CLEAR);                // Ekrani temizle
	MOVLW       1
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;main.c,42 :: 		Lcd_Out(1,6,"TRUDYO");              // 1.Satir 6.Sutuna yaz
	MOVLW       1
	MOVWF       FARG_LCD_Out_row+0 
	MOVLW       6
	MOVWF       FARG_LCD_Out_col+0 
	MOVLW       ?lstr1_main+0
	MOVWF       FARG_LCD_Out_text+0 
	MOVLW       hi_addr(?lstr1_main+0)
	MOVWF       FARG_LCD_Out_text+1 
	CALL        _LCD_Out+0, 0
;main.c,43 :: 		Lcd_Out(2,2,"MAKER BLOG IS");       // 2.Satir 2.Sutuna yaz
	MOVLW       2
	MOVWF       FARG_LCD_Out_row+0 
	MOVLW       2
	MOVWF       FARG_LCD_Out_col+0 
	MOVLW       ?lstr2_main+0
	MOVWF       FARG_LCD_Out_text+0 
	MOVLW       hi_addr(?lstr2_main+0)
	MOVWF       FARG_LCD_Out_text+1 
	CALL        _LCD_Out+0, 0
;main.c,44 :: 		Lcd_Out_CP("!");                    // Imlec konumuna '!' yaz (Bir nceki komutta imlec 2.satir 15.sutunda kalmisti
	MOVLW       ?lstr3_main+0
	MOVWF       FARG_LCD_Out_Cp_text+0 
	MOVLW       hi_addr(?lstr3_main+0)
	MOVWF       FARG_LCD_Out_Cp_text+1 
	CALL        _LCD_Out_Cp+0, 0
;main.c,46 :: 		delay_ms(2000);                     // 2 saniye bekleme
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_main14:
	DECFSZ      R13, 1, 1
	BRA         L_main14
	DECFSZ      R12, 1, 1
	BRA         L_main14
	DECFSZ      R11, 1, 1
	BRA         L_main14
	NOP
	NOP
;main.c,48 :: 		Lcd_Cmd(_LCD_CLEAR);                // Ekrani temizle
	MOVLW       1
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;main.c,49 :: 		Lcd_Chr(2,4,'L'); delay_ms(150);    // 2.satir 4.stuna yaz ve 150ms bekle.
	MOVLW       2
	MOVWF       FARG_LCD_Chr_row+0 
	MOVLW       4
	MOVWF       FARG_LCD_Chr_column+0 
	MOVLW       76
	MOVWF       FARG_LCD_Chr_out_char+0 
	CALL        _LCD_Chr+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main15:
	DECFSZ      R13, 1, 1
	BRA         L_main15
	DECFSZ      R12, 1, 1
	BRA         L_main15
	DECFSZ      R11, 1, 1
	BRA         L_main15
;main.c,50 :: 		Lcd_Chr_Cp('O');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       79
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main16:
	DECFSZ      R13, 1, 1
	BRA         L_main16
	DECFSZ      R12, 1, 1
	BRA         L_main16
	DECFSZ      R11, 1, 1
	BRA         L_main16
;main.c,51 :: 		Lcd_Chr_Cp('A');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       65
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main17:
	DECFSZ      R13, 1, 1
	BRA         L_main17
	DECFSZ      R12, 1, 1
	BRA         L_main17
	DECFSZ      R11, 1, 1
	BRA         L_main17
;main.c,52 :: 		Lcd_Chr_Cp('D');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       68
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main18:
	DECFSZ      R13, 1, 1
	BRA         L_main18
	DECFSZ      R12, 1, 1
	BRA         L_main18
	DECFSZ      R11, 1, 1
	BRA         L_main18
;main.c,53 :: 		Lcd_Chr_Cp('I');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       73
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main19:
	DECFSZ      R13, 1, 1
	BRA         L_main19
	DECFSZ      R12, 1, 1
	BRA         L_main19
	DECFSZ      R11, 1, 1
	BRA         L_main19
;main.c,54 :: 		Lcd_Chr_Cp('N');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       78
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main20:
	DECFSZ      R13, 1, 1
	BRA         L_main20
	DECFSZ      R12, 1, 1
	BRA         L_main20
	DECFSZ      R11, 1, 1
	BRA         L_main20
;main.c,55 :: 		Lcd_Chr_Cp('G');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       71
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main21:
	DECFSZ      R13, 1, 1
	BRA         L_main21
	DECFSZ      R12, 1, 1
	BRA         L_main21
	DECFSZ      R11, 1, 1
	BRA         L_main21
;main.c,56 :: 		Lcd_Chr_Cp('.');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       46
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main22:
	DECFSZ      R13, 1, 1
	BRA         L_main22
	DECFSZ      R12, 1, 1
	BRA         L_main22
	DECFSZ      R11, 1, 1
	BRA         L_main22
;main.c,57 :: 		Lcd_Chr_Cp('.');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       46
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main23:
	DECFSZ      R13, 1, 1
	BRA         L_main23
	DECFSZ      R12, 1, 1
	BRA         L_main23
	DECFSZ      R11, 1, 1
	BRA         L_main23
;main.c,58 :: 		Lcd_Chr_Cp('.');  delay_ms(150);    // Imlec konumuna yaz ve 150ms bekle.
	MOVLW       46
	MOVWF       FARG_LCD_Chr_Cp_out_char+0 
	CALL        _LCD_Chr_Cp+0, 0
	MOVLW       10
	MOVWF       R11, 0
	MOVLW       34
	MOVWF       R12, 0
	MOVLW       161
	MOVWF       R13, 0
L_main24:
	DECFSZ      R13, 1, 1
	BRA         L_main24
	DECFSZ      R12, 1, 1
	BRA         L_main24
	DECFSZ      R11, 1, 1
	BRA         L_main24
;main.c,60 :: 		delay_ms(2000);                     // 2 saniye bekleme
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_main25:
	DECFSZ      R13, 1, 1
	BRA         L_main25
	DECFSZ      R12, 1, 1
	BRA         L_main25
	DECFSZ      R11, 1, 1
	BRA         L_main25
	NOP
	NOP
;main.c,62 :: 		Lcd_Cmd(_LCD_CLEAR);                // Ekrani temizle
	MOVLW       1
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;main.c,63 :: 		Lcd_Out(1,1,"WELCOME TO");          // 1.Satir 1.Sutuna yaz
	MOVLW       1
	MOVWF       FARG_LCD_Out_row+0 
	MOVLW       1
	MOVWF       FARG_LCD_Out_col+0 
	MOVLW       ?lstr4_main+0
	MOVWF       FARG_LCD_Out_text+0 
	MOVLW       hi_addr(?lstr4_main+0)
	MOVWF       FARG_LCD_Out_text+1 
	CALL        _LCD_Out+0, 0
;main.c,64 :: 		Lcd_Out(2,1,"MAKER BLOG");          // 2.Satir 1.Sutuna yaz
	MOVLW       2
	MOVWF       FARG_LCD_Out_row+0 
	MOVLW       1
	MOVWF       FARG_LCD_Out_col+0 
	MOVLW       ?lstr5_main+0
	MOVWF       FARG_LCD_Out_text+0 
	MOVLW       hi_addr(?lstr5_main+0)
	MOVWF       FARG_LCD_Out_text+1 
	CALL        _LCD_Out+0, 0
;main.c,65 :: 		delay_ms(500);                      // 500ms bekle
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_main26:
	DECFSZ      R13, 1, 1
	BRA         L_main26
	DECFSZ      R12, 1, 1
	BRA         L_main26
	DECFSZ      R11, 1, 1
	BRA         L_main26
	NOP
;main.c,67 :: 		while(1){                           // Sonsuz dng
L_main27:
;main.c,68 :: 		for(i=0;i<6;i++){                 // 6 turluk dng
	CLRF        _i+0 
L_main29:
	MOVLW       6
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main30
;main.c,69 :: 		Lcd_Cmd(_LCD_SHIFT_RIGHT);      // tm ekrani bir kez saga kaydir
	MOVLW       30
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;main.c,70 :: 		delay_ms(500);                  // 500ms bekle
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_main32:
	DECFSZ      R13, 1, 1
	BRA         L_main32
	DECFSZ      R12, 1, 1
	BRA         L_main32
	DECFSZ      R11, 1, 1
	BRA         L_main32
	NOP
;main.c,68 :: 		for(i=0;i<6;i++){                 // 6 turluk dng
	INCF        _i+0, 1 
;main.c,71 :: 		}
	GOTO        L_main29
L_main30:
;main.c,72 :: 		for(i=0;i<6;i++){                 // 6 turluk dng
	CLRF        _i+0 
L_main33:
	MOVLW       6
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main34
;main.c,73 :: 		Lcd_Cmd(_LCD_SHIFT_LEFT);       // tm ekrani bir kez sola kaydir
	MOVLW       24
	MOVWF       FARG_LCD_Cmd_out_char+0 
	CALL        _LCD_Cmd+0, 0
;main.c,74 :: 		delay_ms(500);                  // 500ms bekle
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_main36:
	DECFSZ      R13, 1, 1
	BRA         L_main36
	DECFSZ      R12, 1, 1
	BRA         L_main36
	DECFSZ      R11, 1, 1
	BRA         L_main36
	NOP
;main.c,72 :: 		for(i=0;i<6;i++){                 // 6 turluk dng
	INCF        _i+0, 1 
;main.c,75 :: 		}
	GOTO        L_main33
L_main34:
;main.c,76 :: 		}
	GOTO        L_main27
;main.c,78 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
